<template><page-meta :root-font-size="fontSize+'px'"></page-meta>
  <seller-base :show="false">
    <main-content v-if="live_apply_id" :live_apply_id="live_apply_id"></main-content>
  </seller-base>
</template>

<script>
import {getFontSize} from '@/util/common'
  import SellerBase from '../SellerBase'
  import mainContent from './child/main-content'
  export default {
    computed:{
    fontSize(){
      return getFontSize()
    },
    },
    data(){
      return {
        live_apply_id: 0,
      }
    },
    components: {
      SellerBase,
      mainContent
    },
    onLoad: function(option) {
      this.live_apply_id = option.live_apply_id?option.live_apply_id:option.scene
      if (!this.live_apply_id) {
        uni.showToast({
          icon: 'none',
          title: '参数错误'
        })
      }

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {
      uni.setKeepScreenOn({
        keepScreenOn: true,
      })
    },
    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {
      uni.setKeepScreenOn({
        keepScreenOn: false,
      })
    },

  }
</script>
<style lang="scss" scoped>

</style>
